## deepin-desktop-schemas 5.10.7+community

=== Makefile ===
PREFIX	:= /usr
ARCH    := x86

all: build

bin:
	mkdir -p bin
	env GO111MODULE=off go build -o bin/override_tool tools/override/*.go

build: bin
	@echo build for arch: $(ARCH)
	mkdir -p result
	find schemas -name "*.xml" -exec cp {} result \;
	bin/override_tool -arch $(ARCH)

test: 
	@echo "Testing schemas with glib-compile-shemas..."
	glib-compile-schemas --dry-run result

print_gopath:
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

install:
	@echo install for arch:$(ARCH)
	mkdir -p $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
	install -v -m 0644 result/*.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/
	install -v -m 0644 result/*.override $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/
	mkdir -p $(DESTDIR)$(PREFIX)/share/deepin-desktop-schemas
	install -v -m 0644 result/*-override $(DESTDIR)$(PREFIX)/share/deepin-desktop-schemas

	mkdir -p $(DESTDIR)$(PREFIX)/share/deepin-appstore/
	install -v -m 0644 deepin-appstore/$(ARCH)/settings.ini $(DESTDIR)$(PREFIX)/share/deepin-appstore/

	mkdir -p $(DESTDIR)$(PREFIX)/share/deepin-app-store/
	install -v -m 0644 deepin-app-store/$(ARCH)/*.ini $(DESTDIR)$(PREFIX)/share/deepin-app-store/

clean:
	-rm -rf bin
	-rm -rf result

.PHONY: bin

## deepin-desktop-schemas 5.9.11

=== debian/changelog ===
deepin-desktop-schemas (5.9.11-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Wed, 14 Apr 2021 15:20:49 +0800

deepin-desktop-schemas (3.0.7) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 19:03:28 +0000

deepin-desktop-schemas (3.0.6-1) stable; urgency=low

  * Autobuild Tag 3.0.6 

 -- TagBuilder <tagbuilder@deepin.com>  Wed, 20 Jul 2016 06:43:35 +0000

deepin-desktop-schemas (3.0.5-1) stable; urgency=low

  * Autobuild Tag 3.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 10:05:31 +0000

deepin-desktop-schemas (3.0.3-2) stable; urgency=low

  * Rebuild Version 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:16:58 +0000

deepin-desktop-schemas (3.0.3-1) stable; urgency=low

  * Autobuild Tag 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 10:18:46 +0000

deepin-desktop-schemas (3.0.1-1) stable; urgency=low

  * Autobuild Tag 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 28 Jan 2016 13:40:29 +0000

deepin-desktop-schemas (3.0.0-1) stable; urgency=low

  * Autobuild Tag 3.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 20:28:50 +0000

deepin-desktop-schemas (2.91.3-2) stable; urgency=low

  * Rebuild Version 2.91.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sun, 20 Dec 2015 11:15:47 +0000

deepin-desktop-schemas (2.91.3-1) stable; urgency=low

  * Autobuild Tag 2.91.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 16:42:41 +0000

deepin-desktop-schemas (2.91.2-1) stable; urgency=low

  * Autobuild Tag 2.91.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 21:47:04 +0000

deepin-desktop-schemas (2.91.1-1) stable; urgency=low

  * Autobuild Tag 2.91.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 11:12:04 +0000

deepin-desktop-schemas (2.90.0-1) stable; urgency=low

  * Autobuild Tag 2.90.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:20:38 +0000

deepin-desktop-schemas (0.0.1-1) unstable; urgency=medium

 * Rewrite makefile, check schemas validity

 -- Deepin Package Builder <packages@linuxdeepin.com>  Tue, 04 Aug 2015 20:08:51 +0800

=== debian/control ===
Source: deepin-desktop-schemas
Section: misc
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-depends: debhelper (>= 9), libglib2.0-bin, deepin-desktop-base | deepin-desktop-server | deepin-desktop-device, 
 golang-go, golang-dlib-dev
Standards-Version: 3.9.5
Homepage: http://www.deepin.org/

Package: deepin-desktop-schemas
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}, deepin-desktop-base | deepin-desktop-server | deepin-desktop-device
Conflicts: deepin-default-gsettings
Replaces: deepin-default-gsettings
Breaks: dde-daemon (<< 2.92.2),
        startdde (<< 2.91.0),
        deepin-wm (<< 0.2.1),
        deepin-default-gsettings
Description: GSettings deepin desktop-wide schemas
 deepin-desktop-schemas contains a collection of GSettings schemas for
 settings shared by various components of a desktop.

## deepin-desktop-schemas 5.10.6

=== debian/changelog ===
deepin-desktop-schemas (5.10.6-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 03 Mar 2022 17:42:59 +0800

## deepin-desktop-schemas 5.10.7%2Bcommunity

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

export GOCACHE := /tmp/gocache
export GOPATH = /usr/share/gocode

SYSTYPE = $(shell cat /usr/lib/deepin/desktop-version | grep Type= | awk -F'=' '{print $$2}')
ARCH = x86
ifeq ($(DEB_BUILD_ARCH), amd64)
	ARCH = x86
endif
ifeq ($(DEB_BUILD_ARCH), i386)
	ARCH = x86
endif

ifeq ($(DEB_BUILD_ARCH), mipsel)
	ARCH = mips
endif
ifeq ($(DEB_BUILD_ARCH), mips64el)
	ARCH = mips
endif
ifeq ($(DEB_BUILD_ARCH), sw_64)
	ARCH = sw
endif
ifeq ($(DEB_BUILD_ARCH), arm64)
	ARCH = arm
endif
export ARCH

ifeq ($(SYSTYPE), Professional)
override_dh_gencontrol:
	dh_gencontrol -- -Vdist:Depends="deepin-desktop-base"
endif

ifeq ($(SYSTYPE), Server)
override_dh_gencontrol:
	dh_gencontrol -- -Vdist:Depends="deepin-desktop-server"
endif

ifeq ($(SYSTYPE), Device)
override_dh_gencontrol:
	dh_gencontrol -- -Vdist:Depends="deepin-desktop-device"
endif
%: 
	dh $@

override_dh_auto_build:
	dh_auto_build -- ARCH=$(ARCH)
override_dh_auto_install:
	dh_auto_install -- ARCH=$(ARCH)

## deepin-desktop-schemas 5.10.7+community

=== debian/changelog ===
deepin-desktop-schemas (5.10.7+community-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 28 Jun 2022 10:52:50 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Deepin Sysdev <sysdev@deepin.com>
 Build-depends: debhelper (>= 9), libglib2.0-bin, deepin-desktop-base | deepin-desktop-server | deepin-desktop-device, 
- golang-go, golang-dlib-dev
+ golang-go, golang-github-linuxdeepin-go-lib-dev
 Standards-Version: 3.9.5
 Homepage: http://www.deepin.org/
 
@@ -11,7 +11,8 @@
 Section: misc
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}, deepin-desktop-base | deepin-desktop-server | deepin-desktop-device
+         ${shlibs:Depends}, 
+         ${dist:Depends}
 Conflicts: deepin-default-gsettings
 Replaces: deepin-default-gsettings
 Breaks: dde-daemon (<< 2.92.2),

## deepin-desktop-schemas 6.0.6

=== debian/changelog ===
deepin-desktop-schemas (6.0.6) unstable; urgency=medium

  * fix #7670

 -- Mike Chen <chenke@deepin.org>  Tue, 16 Apr 2024 08:42:08 +0800

deepin-desktop-schemas (6.0.5) unstable; urgency=medium

  * fix have not handle template key

 -- chenhongtao <chenhongtao@deepin.org>  Fri, 11 Aug 2023 16:21:00 +0800

deepin-desktop-schemas (6.0.4) unstable; urgency=medium

  * Sort the keys to ensure the target is repreducable

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 8 Aug 2023 11:21:00 +0800

deepin-desktop-schemas (6.0.3) unstable; urgency=medium

  * Ensure REUSE compliance
  * Add go mod support
  * Change shortcut to open dde-clipboard to Meta+V

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 5 Jul 2023 11:02:00 +0800

deepin-desktop-schemas (6.0.2) unstable; urgency=medium

  [ TagBuilder ]
  * feat: v23预装列表配置功能实现(Task: 207491)(Influence: 系统初次启动时-应用顺序与预装列表保持一致)
  * feat: v23预装列表配置功能实现(Task: 207491)(Influence: 系统初次启动时-应用顺序与预装列表保持一致)
  * feat: v23预装列表配置更新(Task: 207491)(Influence: 系统初次启动时-应用顺序与预装列表保持一致)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:24:42 +0800

deepin-desktop-schemas (6.0.1) unstable; urgency=medium

  * release 6.0.1

 -- <lvpeilong@uniontech.com>  Wed, 19 Oct 2022 11:12:15 +0800

deepin-desktop-schemas (6.0.0.0) unstable; urgency=low

  * release 6.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:05:13 +0800

## deepin-desktop-schemas 6.0.7

=== debian/changelog ===
deepin-desktop-schemas (6.0.7) unstable; urgency=medium

  * chore: add the qt-active-color-dark setting
  * chore: rename "qt-active-color-dark" to "qt-dark-active-color"

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 13 Nov 2024 15:08:14 +0800

## deepin-desktop-schemas 6.0.10

=== debian/changelog ===
deepin-desktop-schemas (6.0.10) unstable; urgency=medium

  * feat: 触控板自然滚动功能默认开启

 -- fuleyi <fuleyi@uniontech.com>  Fri, 28 Mar 2025 10:51:05 +0800

deepin-desktop-schemas (6.0.9) unstable; urgency=medium

  * feat: 触控板自然滚动功能默认开启

 -- fuleyi <fuleyi@uniontech.com>  Fri, 14 Mar 2025 21:36:25 +0800

deepin-desktop-schemas (6.0.8) unstable; urgency=medium

  * fix: 解决切换多屏快捷键不生效的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 13 Feb 2025 15:21:14 +0800

## deepin-desktop-schemas 6.0.11

=== debian/changelog ===
deepin-desktop-schemas (6.0.11) unstable; urgency=medium

  * feat: remove AI assistant keybindings from system schema
  * fix(debian): remove useless dependencies
  * fix(debian): homepage metadata

 -- fuleyi <fuleyi@uniontech.com>  Wed, 04 Jun 2025 15:41:11 +0800

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 export GOCACHE := /tmp/gocache
 export GOPATH = /usr/share/gocode
+export GO111MODULE = off
 
 SYSTYPE = $(shell cat /usr/lib/deepin/desktop-version | grep Type= | awk -F'=' '{print $$2}')
 ARCH = x86

## deepin-desktop-schemas 6.0.12

=== debian/changelog ===
deepin-desktop-schemas (6.0.12) unstable; urgency=medium

  * fix: change default value for bluetooth display switch

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:42:57 +0800

## deepin-desktop-schemas 6.0.13

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 bin:
 	mkdir -p bin
-	env GO111MODULE=off go build -o bin/override_tool tools/override/*.go
+	go build -o bin/override_tool tools/override/*.go
 
 build: bin
 	@echo build for arch: $(ARCH)

=== debian/changelog ===
deepin-desktop-schemas (6.0.13) unstable; urgency=medium

  * chore: add override for gtk window button-layout on treeland

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 16 Oct 2025 21:10:11 +0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Deepin Sysdev <sysdev@deepin.com>
-Build-depends: debhelper (>= 9), libglib2.0-bin, deepin-desktop-base | deepin-desktop-server | deepin-desktop-device, 
+Build-depends: debhelper (>= 9), libglib2.0-bin,
  golang-go, golang-github-linuxdeepin-go-lib-dev
 Standards-Version: 3.9.5
-Homepage: http://www.deepin.org/
+Homepage: https://github.com/linuxdeepin/deepin-desktop-schemas
 
 Package: deepin-desktop-schemas
 Section: misc
